const __vite__mapDeps=(i,m=__vite__mapDeps,d=(m.f||(m.f=["assets/en--dVPqybQ.js","assets/index-9PRMimni.js","assets/index-CZ_CrH4_.css","assets/zh_CN-B9aAmUtj.js"])))=>i.map(i=>d[i]);
import { bk as i, a4 as n, bo as a, l as c, bp as l, bq as m, br as u, bs as f, __tla as __tla_0 } from "./index-9PRMimni.js";
let h;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    function g(t) {
        const o = i();
        a.mode === "legacy" ? a.global.locale = t : a.global.locale.value = t, o.setLocale(t), f(t);
    }
    h = function() {
        const t = i(), o = n(()=>t.getLocale), L = n(()=>t.getShowPicker), _ = n(()=>a.global.getLocaleMessage(c(o))?.antdLocale ?? {});
        async function b(e) {
            const s = a.global;
            if (c(s.locale) === e) return e;
            if (l.includes(e)) return g(e), e;
            const r = (await m(Object.assign({
                "./lang/en.ts": ()=>u(()=>import("./en--dVPqybQ.js"), __vite__mapDeps([0,1,2])),
                "./lang/zh_CN.ts": ()=>u(()=>import("./zh_CN-B9aAmUtj.js"), __vite__mapDeps([3,1,2]))
            }), `./lang/${e}.ts`, 3)).default;
            if (!r) return;
            const { message: d } = r;
            return s.setLocaleMessage(e, d), l.push(e), g(e), e;
        }
        return {
            getLocale: o,
            getShowLocalePicker: L,
            changeLocale: b,
            getAntdLocale: _
        };
    };
});
export { h as u, __tla };
